get-bounding-box

Esta subrotina é útil nos casos quem que você precisa das coordenadas do retângulo que circunscreve uma determinada entidade... pra dar um "zoom" nela por exemplo... vejam como eu usei o método boundingbox do activex:
(defun get-bounding-box  (ent / maxp minp)
  (
setq ent (vlax-ename->vla-object (ename-of ent)))
  (
if
    (vl-catch-all-error-p
      (vl-catch-all-apply 'vla-GetBoundingBox
        (list ent 'minp 'maxp)))
    (
list (setq minp
                 (3d-of-vla
                   (vla-get-insertionpoint ent)))
          minp)
     (
list (vlax-safearray->list minp)
           (
vlax-safearray->list maxp))))

para usar: (get-bounding-box ent), onde ent é a ename, handle ou vla-object da entidade

6 comentários:

  1. I found this site using [url=http://google.com]google.com[/url] And i want to thank you for your work. You have done really very good site. Great work, great site! Thank you!

    Sorry for offtopic

    ResponderExcluir
  2. Where is admin?!
    Thanks

    ResponderExcluir
  3. Hey – good blog, just wanting round some blogs, appears a reasonably good platform You Are using. I’m presently using Drupal for a number of of my sites but seeking to change considered one of them over to a platform very much the same to yours as a trial run. Something particularly you'd advocate about it?
    Good day intelligent points.. now why did not i consider those? Off topic barely, is this web page pattern merely from an bizarre installation or else do you utilize a customized template. I use a webpage i’m searching for to enhance and properly the visuals is likely one of many key issues to complete on my list.
    Now you could have your new web page and also you’re keen to begin making some gross sales! But, how can you make sales in case you do not need excessive volumes of holiday makers to your website?


    Watch Online Free Moguls, The

    ResponderExcluir
  4. hello guys. nice forum ;)

    ResponderExcluir